<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__tko__ol__connect__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_tko_ol_connect_t</compoundname>
    <includes local="no">cy_lpa_wifi_tko_ol.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__tko__ol__connect__t_1a0c22be2daaa3a4baa61bccc472d7b245" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_tko_ol_connect_t::local_port</definition>
        <argsstring />
        <name>local_port</name>
        <briefdescription>
<para>Local port num for this socket. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_tko_ol.h" bodystart="39" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_tko_ol.h" line="39" />
      </memberdef>
      <memberdef id="structcy__tko__ol__connect__t_1a9e92176a589e0faea7665b3fbc1f35da" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_tko_ol_connect_t::remote_port</definition>
        <argsstring />
        <name>remote_port</name>
        <briefdescription>
<para>Remote port num for this socket. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_tko_ol.h" bodystart="40" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_tko_ol.h" line="40" />
      </memberdef>
      <memberdef id="structcy__tko__ol__connect__t_1a0b8520047f2469edea33da124e857cf5" kind="variable" mutable="no" prot="public" static="no">
        <type>char</type>
        <definition>char cy_tko_ol_connect_t::remote_ip[16]</definition>
        <argsstring>[16]</argsstring>
        <name>remote_ip</name>
        <briefdescription>
<para>IP address of remote side. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_tko_ol.h" bodystart="41" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_tko_ol.h" line="41" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>User uses configurator to set these. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="42" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_tko_ol.h" bodystart="37" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_tko_ol.h" line="38" />
    <listofallmembers>
      <member prot="public" refid="structcy__tko__ol__connect__t_1a0c22be2daaa3a4baa61bccc472d7b245" virt="non-virtual"><scope>cy_tko_ol_connect_t</scope><name>local_port</name></member>
      <member prot="public" refid="structcy__tko__ol__connect__t_1a0b8520047f2469edea33da124e857cf5" virt="non-virtual"><scope>cy_tko_ol_connect_t</scope><name>remote_ip</name></member>
      <member prot="public" refid="structcy__tko__ol__connect__t_1a9e92176a589e0faea7665b3fbc1f35da" virt="non-virtual"><scope>cy_tko_ol_connect_t</scope><name>remote_port</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>